// @ts-check
import withNuxt from './.nuxt/eslint.config.mjs'

export default withNuxt({
  rules: {
    'no-unused-vars': 'warn',
    'vue/multi-word-component-names': 'off',
    'vue/max-attributes-per-line': [
      'warn',
      {
        singleline: 3,
        multiline: 1,
      },
    ],
    'space-in-parens': 'off',
    'computed-property-spacing': 'off',
    '@typescript-eslint/no-explicit-any': 'off',
  },
})
